<?php
/**
 * Cobalt by MintJoomla
 * a component for Joomla! 1.7 - 2.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mintjoomla.com/
 * @copyright Copyright (C) 2012 MintJoomla (http://www.mintjoomla.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */
defined('_JEXEC') or die();
$xml=$this->xml;
?>

<?php
	if ($this->debug==1) {
		echo '<p>Processing Time:'.$xml->OperationRequest->RequestProcessingTime.' seconds</p>';
		echo 'Request URL: <a href="'.$this->amazon_request.'" target="_blank">'.$this->amazon_request.'</a><pre>';
		print_r($xml);
	    echo '</pre>';
		
	} //end if ($debug)		

// *** Report Errors ****/////
//Verify a successful request
if(isset($xml->Items->Request->Errors->Error->Code)){
	echo "<p class='error'>Error: ".$xml->Items->Request->Errors->Error->Code."<br/>Message: ".$xml->Items->Request->Errors->Error->Message."</p>";
	return;
}
// **** END ERRORS ***//
//Build the HTML
$out = array(); // initalise var $out
$out[] = JText::_('Amazon_Disclaimer');
if (isset($xml->Items->Item)) {	
foreach($xml->Items->Item as $item){
		
		$authors = array();
		$artists = array();
		if (!empty($item->ItemAttributes->Author)) {			
				foreach($item->ItemAttributes->Author as $author){
					$authors[] = $author;
				} 
			$authors_out = implode(", ",$authors);
		} else {$authors_out = '';}
		if (!empty($item->ItemAttributes->Artist)) {			
			$artists_out = $item->ItemAttributes->Artist;
		} else {$artists_out = '';}
		
		$out[] = "<h3>" . $item->ItemAttributes->Title. "</h3>";
		$out[] = "<div class='row-fluid'>"; 
		$out[] = "<div class='span6 pull-right'>";
		if($this->image == 1) {
			$out[] = "<img src='". $item->MediumImage->URL."' alt='". $item->ItemAttributes->Title." :: ".$authors_out.$artists_out."' class='img-polaroid' />"; 
		}
		if($this->image == 2) {
			$out[] = "<a rel='".$item->ASIN."' class='jcepopup' target='_blank' title='". $item->ItemAttributes->Title." :: ".$authors_out.$artists_out."' href='". $item->LargeImage->URL."'><img alt='". $item->ItemAttributes->Title." :: ".$authors_out.$artists_out."' src='". $item->MediumImage->URL."' class='img-polaroid' /></a><br/>";
		}
		if($this->image == 3) {
			$out[] = "<a data-rokbox data-rokbox-album='".$item->ASIN."' data-rokbox-caption='". $item->ItemAttributes->Title." :: ".$authors_out.$artists_out."' href='". $item->LargeImage->URL."'><img src='". $item->MediumImage->URL."' alt='". $item->ItemAttributes->Title." :: ".$authors_out.$artists_out."' class='img-polaroid' /></a>"; 
		}
	if(!empty($item->ImageSets->ImageSet) && isset($item->ImageSets->ImageSet[1])) {	
		$out[] = "<p>";
		foreach($item->ImageSets->ImageSet as $imageset){
			if ($imageset->attributes()->Category == "primary") continue;
				if($this->image == 2) {
					$out[] = "<a rel='".$item->ASIN."' class='jcepopup' target='_blank' title='".$item->ItemAttributes->Title."' href='". $imageset->LargeImage->URL."'><img alt='' src='". $imageset->SwatchImage->URL."' class='img-polaroid' /></a>";
				}
				if($this->image == 3) {
					$out[] = "<a data-rokbox data-rokbox-album='".$item->ASIN."' data-rokbox-caption='".$item->ItemAttributes->Title."' href='". $imageset->LargeImage->URL."'><img alt='' src='". $imageset->SwatchImage->URL."' class='img-polaroid' /></a>"; 
				}

		}
		$out[] = "</p>";
	}
		if(!empty($item->Offers->Offer->OfferListing->Price->FormattedPrice)) {			  
			  $out[] = "<br/><b>". JText::_('Price').": ".$item->Offers->Offer->OfferListing->Price->FormattedPrice . "</b>";
			}
		if($this->buy_now == 1 && !empty($item->Offers->MoreOffersUrl)) {
					$out[] = "<br/><br/><a href='". $item->Offers->MoreOffersUrl."&condition=new' target='_blank' class='fa fa-cart-arrow-down btn-large btn'> ".JText::_('Buy')."</a>";
				}
		if($item->Offers->TotalOffers > 0) {
			$out[] = "<br />". $item->Offers->Offer->OfferListing->Availability ."<br />";	
		} 
		if($item->OfferSummary->TotalNew > 0) {		
				$out[] = "<br/><br/><a href='". $item->Offers->MoreOffersUrl."&condition=new' target='_blank' class='fa fa-external-link-square'> ".$item->OfferSummary->TotalNew ." ". JText::_('LOWEST_PRICE').":</a> ".$item->OfferSummary->LowestNewPrice->FormattedPrice . "";
			}
		if($item->OfferSummary->TotalUsed > 0) {		
				$out[] = "<br/><a href='". $item->Offers->MoreOffersUrl."&condition=used' target='_blank' class='fa fa-external-link-square'> ". $item->OfferSummary->TotalUsed ." ". JText::_('LOWEST_USED_PRICE').":</a> ".$item->OfferSummary->LowestUsedPrice->FormattedPrice ."";
			}
		if($item->OfferSummary->TotalCollectible > 0) {		
				$out[] = "<br/><a href='". $item->Offers->MoreOffersUrl."&condition=collectible' target='_blank' class='fa fa-external-link-square'> ". $item->OfferSummary->TotalCollectible ." ". JText::_('LOWEST_COLLECTIBLE_PRICE').":</a> ".$item->OfferSummary->LowestCollectiblePrice->FormattedPrice ."";
			}
					
		$out[] = "</div>"; // END span6 pull-right
		$out[] = "<div class='span6'>";
		if (!empty($authors_out)) {
			$out[] = JText::_('Author').": ".$authors_out;
		}
		if (!empty($artists_out)) {
				$out[] = "". JText::_('Artist').": ".$artists_out."<br />";
		}
		$out[]  = "<br/>". JText::_('Label').": ".$item->ItemAttributes->Label;
		$out[]  = "<br/>". JText::_('Binding').": ".$item->ItemAttributes->Binding;
		
		if (!empty($item->ItemAttributes->Format)) {
			$out[]  = "<br/>". JText::_('Format').": ".$item->ItemAttributes->Format;
		}
		if (!empty($item->ItemAttributes->AspectRatio)) {
			$out[]  = "<br/>". JText::_('AspectRatio').": ".$item->ItemAttributes->AspectRatio;
		}
		if (!empty($item->ItemAttributes->Size)) {
			$out[]  = "<br/>". JText::_('Size').": ".$item->ItemAttributes->Size;
		}
		if (!empty($item->ItemAttributes->Color)) {
			$out[]  = "<br/>". JText::_('Color').": ".$item->ItemAttributes->Color;
		}
		if (!empty($item->ItemAttributes->Manufacturer)) {
			$out[]  = "<br/>". JText::_('Manufacturer').": ".$item->ItemAttributes->Manufacturer;
		}
		if (!empty($item->ItemAttributes->EAN)) {
			$out[]  =  "<br/>". JText::_('EAN').": ".$item->ItemAttributes->EAN;
		}
		if (!empty($item->ItemAttributes->ISBN)) {
			$out[]  =  "<br/>". JText::_('ISBN').": ".$item->ItemAttributes->ISBN;
		}

		if (!empty($item->ItemAttributes->Languages->Language)) {
			$out[] = "<br/>". JText::_('Language').": ";
						foreach($item->ItemAttributes->Languages->Language as $language){
							$out[] = $language->Name.", ".$language->Type."; ";	
						}
		}
		if (!empty($item->ItemAttributes->Creator)) {
				foreach($item->ItemAttributes->Creator as $creator){
					$out[] = "<br />".$creator->attributes()->Role.": ".$creator;							
				}	
		}
 		
		if (!empty($item->ItemAttributes->RunningTime)) {
			$out[] = "<br />".$item->ItemAttributes->RunningTime->attributes()->Units.": ".$item->ItemAttributes->RunningTime;		
		}
		if (!empty($item->ItemAttributes->NumberOfDiscs)) {
			$out[] = "<br/>". JText::_('NumberOfDiscs').": ".$item->ItemAttributes->NumberOfDiscs."";
		}
		if (!empty($item->ItemAttributes->NumberOfItems)) {
			$out[] = "<br/>". JText::_('NumberOfItems').": ".$item->ItemAttributes->NumberOfItems."";
		}
		if (!empty($item->ItemAttributes->NumberOfPages)) {
			$out[] = "<br/>". JText::_('NumberOfPages').": ".$item->ItemAttributes->NumberOfPages."";
		}
		$out[] =  "<br/>". JText::_('Studio').": " .$item->ItemAttributes->Studio."";
		if (!empty($item->ItemAttributes->PublicationDate)) {
			$out[] =  "<br/>". JText::_('Publication_Date').": " . date('d.m.Y', strtotime($item->ItemAttributes->PublicationDate)) ."";
		}
		if (!empty($item->ItemAttributes->ReleaseDate)) {
			$out[] =  "<br/>". JText::_('Release_Date').": " . date('d.m.Y', strtotime($item->ItemAttributes->ReleaseDate)) ."";
		}
		$out[] =  "<br/>". JText::_('SalesRank').": " . number_format((int)$item->SalesRank, '0', '', '.') . "";
		
		if (!empty($item->Tracks->Disc)) {
			$out[] =  "<h4>Tracks</h4>";
			$i=0;
			foreach ($item->Tracks->Disc as $disc) {				
				$out[] = "<h5>CD ".$item->Tracks->Disc[$i]->attributes()->Number."</h5><ul>";
				 foreach($item->Tracks->Disc[$i]->Track as $track){
							$out[] = "<li class='fa fa-music'> ".$track->attributes()->Number.". ".$track."</li><br/>";
						}
				$out[] = "</ul>";
				$i++;
			}
		}
		$out[] =  "<br /><br/><a href='" . $item->DetailPageURL . "' target='_blank'>" . JText::_('Amazon_Product_Details'). " <i class='fa fa-external-link'></i></a>";
		if(!empty($item->ItemLinks->ItemLink)) {
		$links = $item->ItemLinks->ItemLink;
		foreach($links as $link){
			 $Description = str_replace(' ', '_', $link->Description);
 			  $out[] = "<br/><a href='" . $link->URL . "' target='_blank'>" . JText::_($Description). " <i class='fa fa-external-link'></i></a>";
			}
		}
$out[] = "</div>"; // END span6
$out[] = "</div>"; // END row-fluid
		if (!empty($item->ItemAttributes->Feature)) {
			$out[] =  "<br/><br/>". JText::_('Details').":<ul>";
			foreach($item->ItemAttributes->Feature as $feature){
				$out[] =  "<li> " .$feature. "</li>";
			}
			$out[] =  "</ul>";
		}
		if(!empty($item->EditorialReviews->EditorialReview)) {
			$out[] = "<br/><br/><b>".JText::_($item->EditorialReviews->EditorialReview[0]->Source)."</b><br/>".$item->EditorialReviews->EditorialReview[0]->Content ."";
		}

		if($this->costumerreviews==1 && $item->CustomerReviews->HasReviews=="true"){
			if($this->image == 0 || $this->image == 1) {
			$out[] = "<iframe src=".$item->CustomerReviews->IFrameURL." width=\"100%\" height=\"400\" name=\"Amazon Reviews\">";
			$out[] = "<p>Ihr Browser kann leider keine eingebetteten Frames anzeigen:";
			$out[] = "Sie k&ouml;nnen die eingebettete Seite &uuml;ber den folgenden Verweis aufrufen: ";
			$out[] = "<a href=\"".$item->CustomerReviews->IFrameURL."\">". JText::_('COSTUMER_REVIEWS')."</a></p>";
			$out[] = "</iframe>";
			}
			if($this->image == 2) {
			$out[] = "<h4><a class=\"jcepopup\" rel=\"caption[".$item->ItemAttributes->Title." :: ". JText::_('COSTUMER REVIEWS')."];width[800];height[600]\" href=\"".$item->CustomerReviews->IFrameURL."\">". JText::_('COSTUMER_REVIEWS')."  <i class='fa fa-external-link'></i></a></h4>";
			}
			if($this->image == 3) {
			$out[] = "<h4><a data-rokbox data-rokbox-caption=\"".$item->ItemAttributes->Title." :: ". JText::_('COSTUMER REVIEWS')."\" href=\"".$item->CustomerReviews->IFrameURL."\">". JText::_('COSTUMER_REVIEWS')." <i class='fa fa-external-link'></i></a></h4>";
			}
		}

	// Similar Products
	if ($this->similar==1) {
		$out[] = $this->_getSimiliars($item->ASIN, $this->public_key, $this->private_key, $this->associate_tag, $this->region, $this->image, $this->debug, $this->cache);
	} // end (Similar Products)	
	

	
}	// end foreach($xml->Items->Item as $xml->Items->Item)
} // End if (isset($xml->Items->Item))
	

		$out = implode("\r", $out);
		echo $out;

?>